# Generated by Django 2.1.3 on 2019-07-31 20:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0014_auto_20190726_0856'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalRadius',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('ip', models.CharField(db_index=True, max_length=15)),
                ('mac_eth1', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('status', models.BooleanField(default=False)),
                ('description', models.TextField()),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('model', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.ModelDevice')),
            ],
            options={
                'verbose_name': 'historical radius',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalRadiusConnection',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical radius connection',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Radius',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('ip', models.CharField(db_index=True, max_length=15)),
                ('mac_eth1', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('status', models.BooleanField(default=False)),
                ('description', models.TextField()),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.ModelDevice')),
            ],
            options={
                'ordering': ['alias'],
            },
        ),
        migrations.CreateModel(
            name='RadiusConnection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
                ('radius', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Radius')),
            ],
            options={
                'ordering': ['username'],
            },
        ),
        migrations.AlterField(
            model_name='cpeutp',
            name='status',
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.AlterField(
            model_name='historicalcpeutp',
            name='status',
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.AddField(
            model_name='historicalradiusconnection',
            name='radius',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Radius'),
        ),
        migrations.AlterUniqueTogether(
            name='radius',
            unique_together={('alias', 'ip')},
        ),
    ]
